%define name	lopster
%define title	Lopster
%define version	0.9.9
%define release	3mdk
%define summary	A Napster clone for linux written in gtk
%define group	Networking/File transfer
%define section	%group

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Group:		%{group}
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2 
URL:		http://lopster.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Lopster is a Napster client for Linux/Unix written in C and based on GTK.  It's
features include:

- Up-/download support 
	Firewalled up-/download support 
	DCC file transfer support 
	Bandwidth limitation of transfers 
	Ability to suspend+resume downloads 
	Resume and autoresume support 
- Search support (with advanced opennap features)
- Hotlist support
	Notification when hotlist users are on
- Browse support 
- Filesharing support 
	Including generic media files 
	Tree view of library 
- Chat support
- Generic features:
	autoconnect to server and channels
	autoreconnect on disconnect 
	logfiles for public, private and server messages and transfers 
	supports almost all admin commands 
	support of all additional opennap commands 
	TAB completion of commands and users


%prep
%setup -q

%build
%configure
%make

%install
%makeinstall

%{find_lang} %{name}

# Menu
mkdir -p ${RPM_BUILD_ROOT}%{_menudir}


install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
tar xOIf %SOURCE1 16x16.xpm > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
tar xOIf %SOURCE1 32x32.xpm > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
tar xOIf %SOURCE1 48x48.xpm > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm


cat - << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
needs="X11" section="%{section}" icon="%{name}.xpm" title="%{title}" \
longtitle="%{summary}"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README 
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_menudir}/%{name}

%changelog
* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.9-3mdk
- rebuild

* Tue May 29 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.9.9-2mdk
 
- 16x16, 32x32 and 48x48 icons added

* Tue May 29 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.9.9-1mdk

- version 0.9.9

* Mon Mar 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-2mdk
- updated by  Alexander Skwar <ASkwar@linux-mandrake.com> :
	- A "little" bit more verbose description
	- Menu support (no icons, though :-()

* Sat Mar 17 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.9.8-1mdk
- first Mandrake release, based on src rpm from Alex Duggan <aldug@openup.com>
